/*
** This file is part of the Matrix Brandy Basic VI Interpreter.
** Copyright (C) 2018-2019 Michael McConnell and contributors
**
** Brandy is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** Brandy is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Brandy; see the file COPYING.  If not, write to
** the Free Software Foundation, 59 Temple Place - Suite 330,
** Boston, MA 02111-1307, USA.
**
** This file defines the text mode fonts used by Matrix Brandy.
*/

#ifndef _GRAPHSDL_TEXTFONTS_H
#define _GRAPHSDL_TEXTFONTS_H

/*
** Built-in ISO Latin-1 font for all modes other than Teletext.
** The first character in the table is a blank.
*/
static byte sysfont[224][8];
static byte sysfontbase [224][8] = {
/*   */  {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ! */  {0x18u, 0x18u, 0x18u, 0x18u, 0x18u, 0u, 0x18u, 0u},
/* " */  {0x6cu, 0x6cu, 0x6cu, 0u, 0u, 0u, 0u, 0u},
/* # */  {0x36u, 0x36u, 0x7fu, 0x36u, 0x7fu, 0x36u, 0x36u, 0u},
/* $ */  {0x0cu, 0x3fu, 0x68u, 0x3eu, 0x0bu, 0x7eu, 0x18u, 0u},
/* % */  {0x60u, 0x66u, 0x0cu, 0x18u, 0x30u, 0x66u, 0x06u, 0u},
/* & */  {0x38u, 0x6cu, 0x6cu, 0x38u, 0x6du, 0x66u, 0x3bu, 0u},
/* ' */  {0x0cu, 0x18u, 0x30u, 0u, 0u, 0u, 0u, 0u},
/* ( */  {0x0cu, 0x18u, 0x30u, 0x30u, 0x30u, 0x18u, 0x0cu, 0u},
/* ) */  {0x30u, 0x18u, 0x0cu, 0x0cu, 0x0cu, 0x18u, 0x30u, 0u},
/* * */  {0u, 0x18u, 0x7eu, 0x3cu, 0x7eu, 0x18u, 0u, 0u},
/* + */  {0u, 0x18u, 0x18u, 0x7eu, 0x18u, 0x18u, 0u, 0u},
/* , */  {0u, 0u, 0u, 0u, 0u, 0x18u, 0x18u, 0x30u},
/* - */  {0u, 0u, 0u, 0x7eu, 0u, 0u, 0u, 0u},
/* . */  {0u, 0u, 0u, 0u, 0u, 0x18u, 0x18u, 0u},
/* / */  {0u, 0x6u, 0x0cu, 0x18u, 0x30u, 0x60u, 0u, 0u},
/* 0 */  {0x3cu, 0x66u, 0x6eu, 0x7eu, 0x76u, 0x66u, 0x3cu, 0u},
/* 1 */  {0x18u, 0x38u, 0x18u, 0x18u, 0x18u, 0x18u, 0x7eu, 0u},
/* 2 */  {0x3cu, 0x66u, 0x06u, 0x0cu, 0x18u, 0x30u, 0x7eu, 0u},
/* 3 */  {0x3cu, 0x66u, 0x06u, 0x1cu, 0x06u, 0x66u, 0x3cu, 0u},
/* 4 */  {0x0cu, 0x1cu, 0x3cu, 0x6cu, 0x7eu, 0x0cu, 0x0cu, 0u},
/* 5 */  {0x7eu, 0x60u, 0x7cu, 0x6u, 0x6u, 0x66u, 0x3cu, 0u},
/* 6 */  {0x1cu, 0x30u, 0x60u, 0x7cu, 0x66u, 0x66u, 0x3cu, 0u},
/* 7 */  {0x7eu, 0x6u, 0x0cu, 0x18u, 0x30u, 0x30u, 0x30u, 0u},
/* 8 */  {0x3cu, 0x66u, 0x66u, 0x3cu, 0x66u, 0x66u, 0x3cu, 0u},
/* 9 */  {0x3cu, 0x66u, 0x66u, 0x3eu, 0x6u, 0x0cu, 0x38u, 0u},
/* : */  {0u, 0u, 0x18u, 0x18u, 0u, 0x18u, 0x18u, 0u},
/* ; */  {0u, 0u, 0x18u, 0x18u, 0u, 0x18u, 0x18u, 0x30u},
/* < */  {0xcu, 0x18u, 0x30u, 0x60u, 0x30u, 0x18u, 0xcu, 0u},
/* = */  {0u, 0u, 0x7eu, 0u, 0x7eu, 0u, 0u, 0u},
/* > */  {0x30u, 0x18u, 0xcu, 0x6u, 0xcu, 0x18u, 0x30u, 0u},
/* ? */  {0x3cu, 0x66u, 0xcu, 0x18u, 0x18u, 0u, 0x18u, 0u},
/* @ */  {0x3cu, 0x66u, 0x6eu, 0x6au, 0x6eu, 0x60u, 0x3cu, 0u},
/* A */  {0x3cu, 0x66u, 0x66u, 0x7eu, 0x66u, 0x66u, 0x66u, 0u},
/* B */  {0x7cu, 0x66u, 0x66u, 0x7cu, 0x66u, 0x66u, 0x7cu, 0u},
/* C */  {0x3cu, 0x66u, 0x60u, 0x60u, 0x60u, 0x66u, 0x3cu, 0u},
/* D */  {0x78u, 0x6cu, 0x66u, 0x66u, 0x66u, 0x6cu, 0x78u, 0u},
/* E */  {0x7eu, 0x60u, 0x60u, 0x7cu, 0x60u, 0x60u, 0x7eu, 0u},
/* F */  {0x7eu, 0x60u, 0x60u, 0x7cu, 0x60u, 0x60u, 0x60u, 0u},
/* G */  {0x3cu, 0x66u, 0x60u, 0x6eu, 0x66u, 0x66u, 0x3cu, 0u},
/* H */  {0x66u, 0x66u, 0x66u, 0x7eu, 0x66u, 0x66u, 0x66u, 0u},
/* I */  {0x7eu, 0x18u, 0x18u, 0x18u, 0x18u, 0x18u, 0x7eu, 0u},
/* J */  {0x3eu, 0x0cu, 0x0cu, 0x0cu, 0x0cu, 0x6cu, 0x38u, 0u},
/* K */  {0x66u, 0x6cu, 0x78u, 0x70u, 0x78u, 0x6cu, 0x66u, 0u},
/* L */  {0x60u, 0x60u, 0x60u, 0x60u, 0x60u, 0x60u, 0x7eu, 0u},
/* M */  {0x63u, 0x77u, 0x7fu, 0x6bu, 0x6bu, 0x63u, 0x63u, 0u},
/* N */  {0x66u, 0x66u, 0x76u, 0x7eu, 0x6eu, 0x66u, 0x66u, 0u},
/* O */  {0x3cu, 0x66u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3cu, 0u},
/* P */  {0x7cu, 0x66u, 0x66u, 0x7cu, 0x60u, 0x60u, 0x60u, 0u},
/* Q */  {0x3cu, 0x66u, 0x66u, 0x66u, 0x6au, 0x6cu, 0x36u, 0u},
/* R */  {0x7cu, 0x66u, 0x66u, 0x7cu, 0x6cu, 0x66u, 0x66u, 0u},
/* S */  {0x3cu, 0x66u, 0x60u, 0x3cu, 0x06u, 0x66u, 0x3cu, 0u},
/* T */  {0x7eu, 0x18u, 0x18u, 0x18u, 0x18u, 0x18u, 0x18u, 0u},
/* U */  {0x66u, 0x66u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3cu, 0u},
/* V */  {0x66u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3cu, 0x18u, 0u},
/* W */  {0x63u, 0x63u, 0x6bu, 0x6bu, 0x7fu, 0x77u, 0x63u, 0u},
/* X */  {0x66u, 0x66u, 0x3cu, 0x18u, 0x3cu, 0x66u, 0x66u, 0u},
/* Y */  {0x66u, 0x66u, 0x66u, 0x3cu, 0x18u, 0x18u, 0x18u, 0u},
/* Z */  {0x7eu, 0x06u, 0x0cu, 0x18u, 0x30u, 0x60u, 0x7eu, 0u},
/* [ */  {0x7cu, 0x60u, 0x60u, 0x60u, 0x60u, 0x60u, 0x7cu, 0u},
/* \ */  {0u, 0x60u, 0x30u, 0x18u, 0x0cu, 0x6u, 0u, 0u},
/* ] */  {0x3eu, 0x6u, 0x6u, 0x6u, 0x6u, 0x6u, 0x3eu, 0u},
/* ^ */  {0x18u, 0x3cu, 0x66u, 0x42u, 0u, 0u, 0u, 0u},
/* _ */  {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0xffu},
/* ` */  {0x30u, 0x18u, 0xcu, 0u, 0u, 0u, 0u, 0u},
/* a */  {0u, 0u, 0x3cu, 0x6u, 0x3eu, 0x66u, 0x3eu, 0u},
/* b */  {0x60u, 0x60u, 0x7cu, 0x66u, 0x66u, 0x66u, 0x7cu, 0u},
/* c */  {0u, 0u, 0x3cu, 0x66u, 0x60u, 0x66u, 0x3cu, 0u},
/* d */  {0x6u, 0x6u, 0x3eu, 0x66u, 0x66u, 0x66u, 0x3eu, 0u},
/* e */  {0u, 0u, 0x3cu, 0x66u, 0x7eu, 0x60u, 0x3cu, 0u},
/* f */  {0x1cu, 0x30u, 0x30u, 0x7cu, 0x30u, 0x30u, 0x30u, 0u},
/* g */  {0u, 0u, 0x3eu, 0x66u, 0x66u, 0x3eu, 0x6u, 0x3cu},
/* h */  {0x60u, 0x60u, 0x7cu, 0x66u, 0x66u, 0x66u, 0x66u, 0u},
/* i */  {0x18u, 0u, 0x38u, 0x18u, 0x18u, 0x18u, 0x3cu, 0u},
/* j */  {0x18u, 0u, 0x38u, 0x18u, 0x18u, 0x18u, 0x18u, 0x70u},
/* k */  {0x60u, 0x60u, 0x66u, 0x6cu, 0x78u, 0x6cu, 0x66u, 0u},
/* l */  {0x38u, 0x18u, 0x18u, 0x18u, 0x18u, 0x18u, 0x3cu, 0u},
/* m */  {0u, 0u, 0x36u, 0x7fu, 0x6bu, 0x6bu, 0x63u, 0u},
/* n */  {0u, 0u, 0x7cu, 0x66u, 0x66u, 0x66u, 0x66u, 0u},
/* o */  {0u, 0u, 0x3cu, 0x66u, 0x66u, 0x66u, 0x3cu, 0u},
/* p */  {0u, 0u, 0x7cu, 0x66u, 0x66u, 0x7cu, 0x60u, 0x60u},
/* q */  {0u, 0u, 0x3eu, 0x66u, 0x66u, 0x3eu, 0x6u, 0x7u},
/* r */  {0u, 0u, 0x6eu, 0x73u, 0x60u, 0x60u, 0x60u, 0u},
/* s */  {0u, 0u, 0x3eu, 0x60u, 0x3cu, 0x6u, 0x7cu, 0u},
/* t */  {0x30u, 0x30u, 0x7cu, 0x30u, 0x30u, 0x30u, 0x1cu, 0u},
/* u */  {0u, 0u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3eu, 0u},
/* v */  {0u, 0u, 0x66u, 0x66u, 0x66u, 0x3cu, 0x18u, 0u},
/* w */  {0u, 0u, 0x63u, 0x6bu, 0x6bu, 0x7fu, 0x36u, 0u},
/* x */  {0u, 0u, 0x66u, 0x3cu, 0x18u, 0x3cu, 0x66u, 0u},
/* y */  {0u, 0u, 0x66u, 0x66u, 0x66u, 0x3eu, 0x6u, 0x3cu},
/* z */  {0u, 0u, 0x7eu, 0x0cu, 0x18u, 0x30u, 0x7eu, 0u},
/* { */  {0x0cu, 0x18u, 0x18u, 0x70u, 0x18u, 0x18u, 0x0cu, 0u},
/* | */  {0x18u, 0x18u, 0x18u, 0u, 0x18u, 0x18u, 0x18u, 0u},
/* } */  {0x30u, 0x18u, 0x18u, 0xeu, 0x18u, 0x18u, 0x30u, 0u},
/* ~ */  {0x31u, 0x6bu, 0x46u, 0u, 0u, 0u, 0u, 0u},
/* DEL */  {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
	/* 0x80 */
/*  */  {0x3u, 0x3u, 0x6u, 0x6u, 0x76u, 0x1Cu, 0xCu, 0u},
/*  */  {0x1Cu, 0x63u, 0x6Bu, 0x6Bu, 0x7Fu, 0x77u, 0x63u, 0u},
/*  */  {0x1Cu, 0x36u, 0u, 0x6Bu, 0x6Bu, 0x7Fu, 0x36u, 0u},
/*  */  {0xFEu, 0x92u, 0x92u, 0xF2u, 0x82u, 0x82u, 0xFEu, 0u},
/*  */  {0x66u, 0x99u, 0x81u, 0x42u, 0x81u, 0x99u, 0x66u, 0u},
/*  */  {0x18u, 0x66u, 0x42u, 0x66u, 0x3Cu, 0x18u, 0x18u, 0u},
/*  */  {0x18u, 0x66u, 0u, 0x66u, 0x66u, 0x3Eu, 0x6u, 0x3Cu},
/*  */  {0x7u, 0x1u, 0x2u, 0x64u, 0x94u, 0x60u, 0x90u, 0x60u},
/*  */  {0x18u, 0x28u, 0x4Fu, 0x81u, 0x4Fu, 0x28u, 0x18u, 0u},
/*  */  {0x18u, 0x14u, 0xF2u, 0x81u, 0xF2u, 0x14u, 0x18u, 0u},
/*  */  {0x3Cu, 0x24u, 0x24u, 0xE7u, 0x42u, 0x24u, 0x18u, 0u},
/*  */  {0x18u, 0x24u, 0x42u, 0xE7u, 0x24u, 0x24u, 0x3Cu, 0u},
/*  */  {0u, 0u, 0u, 0u, 0u, 0xDBu, 0xDBu, 0u},
/*  */  {0xF1u, 0x5Bu, 0x55u, 0x51u, 0u, 0u, 0u, 0u},
/*  */  {0xC0u, 0xCCu, 0x18u, 0x30u, 0x60u, 0xDBu, 0x1Bu, 0u},
/*  */  {0u, 0u, 0x3Cu, 0x7Eu, 0x7Eu, 0x3Cu, 0u, 0u},
	/* 90 */
/*  */  {0xCu, 0x18u, 0x18u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0xCu, 0xCu, 0x18u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0u, 0xCu, 0x18u, 0x30u, 0x30u, 0x18u, 0xCu, 0u},
/*  */  {0u, 0x30u, 0x18u, 0xCu, 0xCu, 0x18u, 0x30u, 0u},
/*  */  {0x1Bu, 0x36u, 0x36u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0x36u, 0x36u, 0x6Cu, 0u, 0u, 0u, 0u, 0u},
/*  */  {0u, 0u, 0u, 0u, 0u, 0x36u, 0x36u, 0x6Cu},
/*  */  {0u, 0u, 0u, 0x3Cu, 0u, 0u, 0u, 0u},
/*  */  {0u, 0u, 0u, 0xFFu, 0u, 0u, 0u, 0u},
/*  */  {0u, 0u, 0u, 0x7Eu, 0u, 0u, 0u, 0u},
/*  */  {0x77u, 0xCCu, 0xCCu, 0xCFu, 0xCCu, 0xCCu, 0x77u, 0u},
/*  */  {0u, 0u, 0x6Eu, 0xDBu, 0xDFu, 0xD8u, 0x6Eu, 0u},
/*  */  {0x18u, 0x18u, 0x7Eu, 0x18u, 0x18u, 0x18u, 0x18u, 0x18u},
/*  */  {0x18u, 0x18u, 0x7Eu, 0x18u, 0x7Eu, 0x18u, 0x18u, 0x18u},
/*  */  {0x3Cu, 0x66u, 0x60u, 0xF6u, 0x66u, 0x66u, 0x66u, 0u},
/*  */  {0x3Eu, 0x66u, 0x66u, 0xF6u, 0x66u, 0x66u, 0x66u, 0u},
	/* a0 */
/*  */  {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0x18u, 0u, 0x18u, 0x18u, 0x18u, 0x18u, 0x18u, 0u},
/*  */  {0x8u, 0x3Eu, 0x6Bu, 0x68u, 0x6Bu, 0x3Eu, 0x8u, 0u},
/*  */  {0x1Cu, 0x36u, 0x30u, 0x7Cu, 0x30u, 0x30u, 0x7Eu, 0u},
/*  */  {0u, 0x66u, 0x3Cu, 0x66u, 0x66u, 0x3Cu, 0x66u, 0u},
/*  */  {0x66u, 0x3Cu, 0x18u, 0x18u, 0x7Eu, 0x18u, 0x18u, 0u},
/*  */  {0x18u, 0x18u, 0x18u, 0u, 0x18u, 0x18u, 0x18u, 0u},
/*  */  {0x3Cu, 0x60u, 0x3Cu, 0x66u, 0x3Cu, 0x6u, 0x3Cu, 0u},
/*  */  {0x66u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0x3Cu, 0x42u, 0x99u, 0xA1u, 0xA1u, 0x99u, 0x42u, 0x3Cu},
/*  */  {0x1Cu, 0x6u, 0x1Eu, 0x36u, 0x1Eu, 0u, 0x3Eu, 0u},
/*  */  {0u, 0x33u, 0x66u, 0xCCu, 0xCCu, 0x66u, 0x33u, 0u},
/*  */  {0x7Eu, 0x6u, 0u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0u, 0u, 0u, 0x7Eu, 0u, 0u, 0u, 0u},
/*  */  {0x3Cu, 0x42u, 0xB9u, 0xA5u, 0xB9u, 0xA5u, 0x42u, 0x3Cu},
/*  */  {0x7Eu, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
	/* b0 */
/*  */  {0x3Cu, 0x66u, 0x3Cu, 0u, 0u, 0u, 0u, 0u},
/*  */  {0x18u, 0x18u, 0x7Eu, 0x18u, 0x18u, 0u, 0x7Eu, 0u},
/*  */  {0x38u, 0x4u, 0x18u, 0x20u, 0x3Cu, 0u, 0u, 0u},
/*  */  {0x38u, 0x4u, 0x18u, 0x4u, 0x38u, 0u, 0u, 0u},
/*  */  {0xCu, 0x18u, 0u, 0u, 0u, 0u, 0u, 0u},
/*  */  {0u, 0u, 0x33u, 0x33u, 0x33u, 0x33u, 0x3Eu, 0x60u},
/*  */  {0x3u, 0x3Eu, 0x76u, 0x76u, 0x36u, 0x36u, 0x3Eu, 0u},
/*  */  {0u, 0u, 0u, 0x18u, 0x18u, 0u, 0u, 0u},
/*  */  {0u, 0u, 0u, 0u, 0u, 0u, 0x18u, 0x30u},
/*  */  {0x10u, 0x30u, 0x10u, 0x10u, 0x38u, 0u, 0u, 0u},
/*  */  {0x1Cu, 0x36u, 0x36u, 0x36u, 0x1Cu, 0u, 0x3Eu, 0u},
/*  */  {0u, 0xCCu, 0x66u, 0x33u, 0x33u, 0x66u, 0xCCu, 0u},
/*  */  {0x40u, 0xC0u, 0x40u, 0x48u, 0x48u, 0xAu, 0xFu, 0x2u},
/*  */  {0x40u, 0xC0u, 0x40u, 0x4Fu, 0x41u, 0xFu, 0x8u, 0xFu},
/*  */  {0xE0u, 0x20u, 0xE0u, 0x28u, 0xE8u, 0xAu, 0xFu, 0x2u},
/*  */  {0x18u, 0u, 0x18u, 0x18u, 0x30u, 0x66u, 0x3Cu, 0u},
	/* c0 */
/*  */  {0x30u, 0x18u, 0u, 0x3Cu, 0x66u, 0x7Eu, 0x66u, 0u},
/*  */  {0xCu, 0x18u, 0u, 0x3Cu, 0x66u, 0x7Eu, 0x66u, 0u},
/*  */  {0x18u, 0x66u, 0u, 0x3Cu, 0x66u, 0x7Eu, 0x66u, 0u},
/*  */  {0x36u, 0x6Cu, 0u, 0x3Cu, 0x66u, 0x7Eu, 0x66u, 0u},
/*  */  {0x66u, 0x66u, 0u, 0x3Cu, 0x66u, 0x7Eu, 0x66u, 0u},
/*  */  {0x3Cu, 0x66u, 0x3Cu, 0x3Cu, 0x66u, 0x7Eu, 0x66u, 0u},
/*  */  {0x3Fu, 0x66u, 0x66u, 0x7Fu, 0x66u, 0x66u, 0x67u, 0u},
/*  */  {0x3Cu, 0x66u, 0x60u, 0x60u, 0x66u, 0x3Cu, 0x30u, 0x60u},
/*  */  {0x30u, 0x18u, 0x7Eu, 0x60u, 0x7Cu, 0x60u, 0x7Eu, 0u},
/*  */  {0xCu, 0x18u, 0x7Eu, 0x60u, 0x7Cu, 0x60u, 0x7Eu, 0u},
/*  */  {0x3Cu, 0x66u, 0x7Eu, 0x60u, 0x7Cu, 0x60u, 0x7Eu, 0u},
/*  */  {0x66u, 0u, 0x7Eu, 0x60u, 0x7Cu, 0x60u, 0x7Eu, 0u},
/*  */  {0x30u, 0x18u, 0u, 0x7Eu, 0x18u, 0x18u, 0x7Eu, 0u},
/*  */  {0xCu, 0x18u, 0u, 0x7Eu, 0x18u, 0x18u, 0x7Eu, 0u},
/*  */  {0x3Cu, 0x66u, 0u, 0x7Eu, 0x18u, 0x18u, 0x7Eu, 0u},
/*  */  {0x66u, 0x66u, 0u, 0x7Eu, 0x18u, 0x18u, 0x7Eu, 0u},
	/* d0 */
/*  */  {0x78u, 0x6Cu, 0x66u, 0xF6u, 0x66u, 0x6Cu, 0x78u, 0u},
/*  */  {0x36u, 0x6Cu, 0u, 0x66u, 0x76u, 0x6Eu, 0x66u, 0u},
/*  */  {0x30u, 0x18u, 0x3Cu, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0xCu, 0x18u, 0x3Cu, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x3Cu, 0x66u, 0x3Cu, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x36u, 0x6Cu, 0x3Cu, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x66u, 0u, 0x3Cu, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0u, 0x63u, 0x36u, 0x1Cu, 0x1Cu, 0x36u, 0x63u, 0u},
/*  */  {0x3Du, 0x66u, 0x6Eu, 0x7Eu, 0x76u, 0x66u, 0xBCu, 0u},
/*  */  {0x30u, 0x18u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0xCu, 0x18u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x3Cu, 0x66u, 0u, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x66u, 0u, 0x66u, 0x66u, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0xCu, 0x18u, 0x66u, 0x66u, 0x3Cu, 0x18u, 0x18u, 0u},
/*  */  {0xF0u, 0x60u, 0x7Cu, 0x66u, 0x7Cu, 0x60u, 0xF0u, 0u},
/*  */  {0x3Cu, 0x66u, 0x66u, 0x6Cu, 0x66u, 0x66u, 0x6Cu, 0xC0u},
	/* e0 */
/*  */  {0x30u, 0x18u, 0x3Cu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0xCu, 0x18u, 0x3Cu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0x18u, 0x66u, 0x3Cu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0x36u, 0x6Cu, 0x3Cu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0x66u, 0u, 0x3Cu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0x3Cu, 0x66u, 0x3Cu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0u, 0u, 0x3Fu, 0xDu, 0x3Fu, 0x6Cu, 0x3Fu, 0u},
/*  */  {0u, 0u, 0x3Cu, 0x66u, 0x60u, 0x66u, 0x3Cu, 0x60u},
/*  */  {0x30u, 0x18u, 0x3Cu, 0x66u, 0x7Eu, 0x60u, 0x3Cu, 0u},
/*  */  {0xCu, 0x18u, 0x3Cu, 0x66u, 0x7Eu, 0x60u, 0x3Cu, 0u},
/*  */  {0x3Cu, 0x66u, 0x3Cu, 0x66u, 0x7Eu, 0x60u, 0x3Cu, 0u},
/*  */  {0x66u, 0u, 0x3Cu, 0x66u, 0x7Eu, 0x60u, 0x3Cu, 0u},
/*  */  {0x30u, 0x18u, 0u, 0x38u, 0x18u, 0x18u, 0x3Cu, 0u},
/*  */  {0xCu, 0x18u, 0u, 0x38u, 0x18u, 0x18u, 0x3Cu, 0u},
/*  */  {0x3Cu, 0x66u, 0u, 0x38u, 0x18u, 0x18u, 0x3Cu, 0u},
/*  */  {0x66u, 0u, 0u, 0x38u, 0x18u, 0x18u, 0x3Cu, 0u},
	/* f0 */
/*  */  {0x18u, 0x3Eu, 0xCu, 0x6u, 0x3Eu, 0x66u, 0x3Eu, 0u},
/*  */  {0x36u, 0x6Cu, 0u, 0x7Cu, 0x66u, 0x66u, 0x66u, 0u},
/*  */  {0x30u, 0x18u, 0u, 0x3Cu, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0xCu, 0x18u, 0u, 0x3Cu, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x3Cu, 0x66u, 0u, 0x3Cu, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x36u, 0x6Cu, 0u, 0x3Cu, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0x66u, 0u, 0u, 0x3Cu, 0x66u, 0x66u, 0x3Cu, 0u},
/*  */  {0u, 0x18u, 0u, 0xFFu, 0u, 0x18u, 0u, 0u},
/*  */  {0u, 0x2u, 0x3Cu, 0x6Eu, 0x76u, 0x66u, 0xBCu, 0u},
/*  */  {0x30u, 0x18u, 0u, 0x66u, 0x66u, 0x66u, 0x3Eu, 0u},
/*  */  {0xCu, 0x18u, 0u, 0x66u, 0x66u, 0x66u, 0x3Eu, 0u},
/*  */  {0x3Cu, 0x66u, 0u, 0x66u, 0x66u, 0x66u, 0x3Eu, 0u},
/*  */  {0x66u, 0u, 0u, 0x66u, 0x66u, 0x66u, 0x3Eu, 0u},
/*  */  {0xCu, 0x18u, 0x66u, 0x66u, 0x66u, 0x3Eu, 0x6u, 0x3Cu},
/*  */  {0x60u, 0x60u, 0x7Cu, 0x66u, 0x7Cu, 0x60u, 0x60u, 0u},
/*  */  {0x66u, 0u, 0x66u, 0x66u, 0x66u, 0x3Eu, 0x6u, 0x3Cu}
};

static unsigned short mode7font[96][20];
static unsigned short mode7fontsaa5050 [96][20] = {
/*   */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ! */ {0u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0u, 0u, 0x0300u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0u},
/* " */ {0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* # */ {0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0x3FF0u, 0x3FF0u, 0x0CC0u, 0x0CC0u, 0x3FF0u, 0x3FF0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0x0CC0u, 0u, 0u, 0u, 0u, 0u},
/* $ */ {0u, 0x0FC0u, 0x1FE0u, 0x3B70u, 0x3330u, 0x3300u, 0x3B00u, 0x1FC0u, 0x0FE0u, 0x0370u, 0x0330u, 0x3330u, 0x3B70u, 0x1FE0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* % */ {0u, 0x3C00u, 0x3C00u, 0x3C30u, 0x3C70u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x1C00u, 0x38F0u, 0x30F0u, 0x00F0u, 0x00F0u, 0u, 0u, 0u, 0u, 0u},
/* & */ {0u, 0x0C00u, 0x1E00u, 0x3F00u, 0x3300u, 0x3300u, 0x3F00u, 0x1E00u, 0x1E00u, 0x3F30u, 0x33F0u, 0x31E0u, 0x39E0u, 0x1FF0u, 0x0F30u, 0u, 0u, 0u, 0u, 0u},
/* ' */ {0u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ( */ {0u, 0x00C0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x0C00u, 0x0C00u, 0x0C00u, 0x0C00u, 0x0E00u, 0x0700u, 0x0380u, 0x01C0u, 0x00C0u, 0u, 0u, 0u, 0u, 0u},
/* ) */ {0u, 0x0C00u, 0x0E00u, 0x0700u, 0x0380u, 0x01C0u, 0x00C0u, 0x00C0u, 0x00C0u, 0x00C0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x0C00u, 0u, 0u, 0u, 0u, 0u},
/* * */ {0u, 0x0300u, 0x0300u, 0x3330u, 0x3B70u, 0x1FE0u, 0x0FC0u, 0x0300u, 0x0300u, 0x0FC0u, 0x1FE0u, 0x3B70u, 0x3330u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0u},
/* + */ {0u, 0u, 0u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x3FF0u, 0x3FF0u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* , */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0300u, 0x0300u, 0x0300u, 0x0700u, 0x0E00u, 0x0C00u, 0u, 0u, 0u},
/* - */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0FC0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* . */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0u},
/* / */ {0u, 0u, 0u, 0x0030u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x1C00u, 0x3800u, 0x3000u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* 0 */ {0u, 0x0300u, 0x0780u, 0x0FC0u, 0x1CE0u, 0x3870u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1CE0u, 0x0FC0u, 0x0780u, 0x0300u, 0u, 0u, 0u, 0u, 0u},
/* 1 */ {0u, 0x0300u, 0x0300u, 0x0F00u, 0x0F00u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0300u, 0x0FC0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* 2 */ {0u, 0x0FC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x0030u, 0x0070u, 0x03E0u, 0x07C0u, 0x0E00u, 0x1C00u, 0x3800u, 0x3000u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u},
/* 3 */ {0u, 0x3FF0u, 0x3FF0u, 0x0030u, 0x0070u, 0x00E0u, 0x00C0u, 0x03C0u, 0x03E0u, 0x0070u, 0x0030u, 0x3030u, 0x3870u, 0x1FE0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* 4 */ {0u, 0x00C0u, 0x00C0u, 0x03C0u, 0x07C0u, 0x0EC0u, 0x1CC0u, 0x38C0u, 0x30C0u, 0x3FF0u, 0x3FF0u, 0x00C0u, 0x00C0u, 0x00C0u, 0x00C0u, 0u, 0u, 0u, 0u, 0u},
/* 5 */ {0u, 0x3FF0u, 0x3FF0u, 0x3000u, 0x3000u, 0x3FC0u, 0x3FE0u, 0x0070u, 0x0030u, 0x0030u, 0x0030u, 0x3030u, 0x3870u, 0x1FE0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* 6 */ {0u, 0x03C0u, 0x07C0u, 0x0E00u, 0x1C00u, 0x3800u, 0x3000u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3870u, 0x1FE0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* 7 */ {0u, 0x3FF0u, 0x3FF0u, 0x0030u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x0C00u, 0x0C00u, 0x0C00u, 0x0C00u, 0x0C00u, 0u, 0u, 0u, 0u, 0u},
/* 8 */ {0u, 0x0FC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3030u, 0x3870u, 0x1FE0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3030u, 0x3870u, 0x1FE0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* 9 */ {0u, 0x0FC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3030u, 0x3830u, 0x1FF0u, 0x0FF0u, 0x0030u, 0x0070u, 0x00E0u, 0x01C0u, 0x0F80u, 0x0F00u, 0u, 0u, 0u, 0u, 0u},
/* : */ {0u, 0u, 0u, 0u, 0u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ; */ {0u, 0u, 0u, 0u, 0u, 0x0300u, 0x0300u, 0u, 0u, 0u, 0u, 0x0300u, 0x0300u, 0x0300u, 0x0700u, 0x0E00u, 0x0C00u, 0u, 0u, 0u},
/* < */ {0u, 0x00C0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x1C00u, 0x3800u, 0x3800u, 0x1C00u, 0x0E00u, 0x0700u, 0x0380u, 0x01C0u, 0x00C0u, 0u, 0u, 0u, 0u, 0u},
/* = */ {0u, 0u, 0u, 0u, 0u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* > */ {0u, 0x0C00u, 0x0E00u, 0x0700u, 0x0380u, 0x01C0u, 0x00E0u, 0x0070u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x0C00u, 0u, 0u, 0u, 0u, 0u},
/* ? */ {0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3070u, 0xE0u, 0x1C0u, 0x380u, 0x300u, 0x300u, 0x300u, 0u, 0u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u},
/* @ */ {0u, 0x0FC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x33F0u, 0x33F0u, 0x3330u, 0x3330u, 0x33F0u, 0x33F0u, 0x3000u, 0x3800u, 0x1FC0u, 0x0FC0u, 0u, 0u, 0u, 0u, 0u},
/* A */ {0u, 0x0300u, 0x0780u, 0x0FC0u, 0x1CE0u, 0x3870u, 0x3030u, 0x3030u, 0x3030u, 0x3FF0u, 0x3FF0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u},
/* B */ {0u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FC0u, 0u, 0u, 0u, 0u, 0u},
/* C */ {0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3030u, 0x3870u, 0x1FE0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* D */ {0u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FC0u, 0u, 0u, 0u, 0u, 0u },
/* E */ {0u, 0x3FF0u, 0x3FF0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FC0u, 0x3FC0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u },
/* F */ {0u, 0x3FF0u, 0x3FF0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FC0u, 0x3FC0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u, 0u, 0u, 0u, 0u },
/* G */ {0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x30F0u, 0x30F0u, 0x3030u, 0x3830u, 0x1FF0u, 0xFF0u, 0u, 0u, 0u, 0u, 0u },
/* H */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3FF0u, 0x3FF0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* I */ {0u, 0xFC0u, 0xFC0u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0xFC0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* J */ {0u, 0x30u, 0x30u, 0x30u, 0x30u, 0x30u, 0x30u, 0x30u, 0x30u, 0x30u, 0x30u, 0x3030u, 0x3870u, 0x1FE0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* K */ {0u, 0x3030u, 0x3070u, 0x30E0u, 0x31C0u, 0x3380u, 0x3700u, 0x3E00u, 0x3E00u, 0x3700u, 0x3380u, 0x31C0u, 0x30E0u, 0x3070u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* L */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u },
/* M */ {0u, 0x3030u, 0x3030u, 0x3CF0u, 0x3FF0u, 0x37B0u, 0x3330u, 0x3330u, 0x3330u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* N */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3C30u, 0x3E30u, 0x3730u, 0x33B0u, 0x31F0u, 0x30F0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* O */ {0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1FE0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* P */ {0u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FC0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u, 0u, 0u, 0u, 0u },
/* Q */ {0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3330u, 0x33F0u, 0x31E0u, 0x39E0u, 0x1FF0u, 0xF30u, 0u, 0u, 0u, 0u, 0u },
/* R */ {0u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FC0u, 0x3300u, 0x3380u, 0x31C0u, 0x30E0u, 0x3070u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* S */ {0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3000u, 0x3800u, 0x1FC0u, 0xFE0u, 0x70u, 0x30u, 0x3030u, 0x3870u, 0x1FE0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* T */ {0u, 0x3FF0u, 0x3FF0u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u },
/* U */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1FE0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* V */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1CE0u, 0xCC0u, 0xCC0u, 0xFC0u, 0x780u, 0x300u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u },
/* W */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3330u, 0x3330u, 0x3330u, 0x3330u, 0x3330u, 0x3FF0u, 0x1FE0u, 0xCC0u, 0u, 0u, 0u, 0u, 0u },
/* X */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1CE0u, 0xFC0u, 0x780u, 0x780u, 0xFC0u, 0x1CE0u, 0x3870u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* Y */ {0u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1CE0u, 0xFC0u, 0x780u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u },
/* Z */ {0u, 0x3FF0u, 0x3FF0u, 0x30u, 0x70u, 0xE0u, 0x1C0u, 0x380u, 0x700u, 0xE00u, 0x1C00u, 0x3800u, 0x3000u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u },
/* [ */ {0u, 0u, 0u, 0x300u, 0x700u, 0xE00u, 0xC00u, 0x3FF0u, 0x3FF0u, 0xC00u, 0xE00u, 0x700u, 0x300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u },
/* \ */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x33C0u, 0x33E0u, 0x70u, 0x70u, 0xE0u, 0x1C0u, 0x380u, 0x300u, 0x3F0u, 0x3F0u, 0u},
/* ] */ {0u, 0u, 0u, 0x300u, 0x380u, 0x1C0u, 0xC0u, 0x3FF0u, 0x3FF0u, 0xC0u, 0x1C0u, 0x380u, 0x300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u },
/* ^ */ {0u, 0u, 0u, 0x300u, 0x300u, 0xFC0u, 0x1FE0u, 0x3B70u, 0x3330u, 0x300u, 0x300u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u },
/* _ */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u },
/* ` */ {0u, 0x3C0u, 0x7E0u, 0xE70u, 0xC30u, 0xC00u, 0xC00u, 0x3F00u, 0x3F00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u },
/* a */ {0u, 0u, 0u, 0u, 0u, 0xFC0u, 0xFE0u, 0x70u, 0x30u, 0xFF0u, 0x1FF0u, 0x3830u, 0x3830u, 0x1FF0u, 0xFF0u, 0u, 0u, 0u, 0u, 0u },
/* b */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FC0u, 0u, 0u, 0u, 0u, 0u },
/* c */ {0u, 0u, 0u, 0u, 0u, 0xFF0u, 0x1FF0u, 0x3800u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3800u, 0x1FF0u, 0xFF0u, 0u, 0u, 0u, 0u, 0u },
/* d */ {0u, 0x30u, 0x30u, 0x30u, 0x30u, 0xFF0u, 0x1FF0u, 0x3830u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3830u, 0x1FF0u, 0xFF0u, 0u, 0u, 0u, 0u, 0u },
/* e */ {0u, 0u, 0u, 0u, 0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3FF0u, 0x3FF0u, 0x3000u, 0x3800u, 0x1FC0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* f */ {0u, 0xC0u, 0x1C0u, 0x380u, 0x300u, 0x300u, 0x300u, 0xFC0u, 0xFC0u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u },
/* g */ {0u, 0u, 0u, 0u, 0u, 0xFF0u, 0x1FF0u, 0x3830u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3830u, 0x1FF0u, 0xFF0u, 0x30u, 0x70u, 0xFE0u, 0xFC0u, 0u},
/* h */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* i */ {0u, 0x300u, 0x300u, 0u, 0u, 0xF00u, 0xF00u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0xFC0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* j */ {0u, 0x300u, 0x300u, 0u, 0u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x700u, 0xE00u, 0xC00u, 0u},
/* k */ {0u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC30u, 0xC70u, 0xCE0u, 0xDC0u, 0xF80u, 0xF80u, 0xDC0u, 0xCE0u, 0xC70u, 0xC30u, 0u, 0u, 0u, 0u, 0u },
/* l */ {0u, 0xF00u, 0xF00u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0xFC0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* m */ {0u, 0u, 0u, 0u, 0u, 0x3CC0u, 0x3FE0u, 0x37F0u, 0x3330u, 0x3330u, 0x3330u, 0x3330u, 0x3330u, 0x3330u, 0x3330u, 0u, 0u, 0u, 0u, 0u },
/* n */ {0u, 0u, 0u, 0u, 0u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* o */ {0u, 0u, 0u, 0u, 0u, 0xFC0u, 0x1FE0u, 0x3870u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1FE0u, 0xFC0u, 0u, 0u, 0u, 0u, 0u },
/* p */ {0u, 0u, 0u, 0u, 0u, 0x3FC0u, 0x3FE0u, 0x3070u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3070u, 0x3FE0u, 0x3FC0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u},
/* q */ {0u, 0u, 0u, 0u, 0u, 0xFF0u, 0x1FF0u, 0x3830u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3830u, 0x1FF0u, 0xFF0u, 0x30u, 0x30u, 0x30u, 0x30u, 0u},
/* r */ {0u, 0u, 0u, 0u, 0u, 0xCF0u, 0xDF0u, 0xF80u, 0xF00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0u, 0u, 0u, 0u, 0u },
/* s */ {0u, 0u, 0u, 0u, 0u, 0xFF0u, 0x1FF0u, 0x3800u, 0x3800u, 0x1FC0u, 0xFE0u, 0x70u, 0x70u, 0x3FE0u, 0x3FC0u, 0u, 0u, 0u, 0u, 0u },
/* t */ {0u, 0x300u, 0x300u, 0x300u, 0x300u, 0xFC0u, 0xFC0u, 0x300u, 0x300u, 0x300u, 0x300u, 0x300u, 0x380u, 0x1C0u, 0xC0u, 0u, 0u, 0u, 0u, 0u },
/* u */ {0u, 0u, 0u, 0u, 0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3830u, 0x1FF0u, 0xFF0u, 0u, 0u, 0u, 0u, 0u },
/* v */ {0u, 0u, 0u, 0u, 0u, 0x3030u, 0x3030u, 0x3030u, 0x3870u, 0x1CE0u, 0xCC0u, 0xCC0u, 0xFC0u, 0x780u, 0x300u, 0u, 0u, 0u, 0u, 0u },
/* w */ {0u, 0u, 0u, 0u, 0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3330u, 0x3330u, 0x3330u, 0x3FF0u, 0x1FE0u, 0xCC0u, 0u, 0u, 0u, 0u, 0u },
/* x */ {0u, 0u, 0u, 0u, 0u, 0x3030u, 0x3870u, 0x1CE0u, 0xFC0u, 0x780u, 0x780u, 0xFC0u, 0x1CE0u, 0x3870u, 0x3030u, 0u, 0u, 0u, 0u, 0u },
/* y */ {0u, 0u, 0u, 0u, 0u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3030u, 0x3830u, 0x1FF0u, 0xFF0u, 0x30u, 0x70u, 0xFE0u, 0xFC0u, 0u},
/* z */ {0u, 0u, 0u, 0u, 0u, 0x3FF0u, 0x3FF0u, 0xC0u, 0x1C0u, 0x380u, 0x700u, 0xE00u, 0xC00u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u },
/* { */ {0u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC00u, 0xC30u, 0xC30u, 0xF0u, 0x1F0u, 0x3B0u, 0x330u, 0x3F0u, 0x3F0u, 0x30u, 0x30u, 0u},
/* | */ {0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0xCC0u, 0u, 0u, 0u, 0u, 0u },
/* } */ {0u, 0x3C00u, 0x3E00u, 0x700u, 0x700u, 0x3E00u, 0x3E00u, 0x700u, 0x700u, 0x3E30u, 0x3C30u, 0xF0u, 0x1F0u, 0x3B0u, 0x330u, 0x3F0u, 0x3F0u, 0x30u, 0x30u, 0u},
/* ~ */ {0u, 0u, 0u, 0x300u, 0x300u, 0u, 0u, 0x3FF0u, 0x3FF0u, 0u, 0u, 0x300u, 0x300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u },
/*255 */  {0u, 0x3FF0u, 0x3FF0u, 0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u,0x3FF0u, 0u, 0u, 0u, 0u, 0u}
};
static unsigned short mode7fontro5 [96][20] = {
/*   */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ! */ {0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* " */ {0u, 0x0C60u, 0x0C60u, 0x0C60u, 0x0C60u, 0x0C60u, 0x0C60u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* # */ {0u, 0x0630u, 0x0630u, 0x0630u, 0x0630u, 0x1FFCu, 0x1FFCu, 0x0630u, 0x0630u, 0x1FFCu, 0x1FFCu, 0x0630u, 0x0630u, 0x0630u, 0x0630u, 0u, 0u, 0u, 0u, 0u},
/* $ */ {0u, 0x0FF0u, 0x1FF8u, 0x399Cu, 0x318Cu, 0x3180u, 0x3980u, 0x1FF0u, 0x0FF8u, 0x019Cu, 0x018Cu, 0x318Cu, 0x399Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* % */ {0u, 0x3C00u, 0x3C0Cu, 0x3C1Cu, 0x3C38u, 0x0070u, 0x00E0u, 0x01C0, 0x0380u, 0x0700u, 0x0E00u, 0x1C3Cu, 0x383Cu, 0x303Cu, 0x003Cu, 0u, 0u, 0u, 0u, 0u},
/* & */ {0u, 0x0E00u, 0x1F00u, 0x3B80u, 0x3180u, 0x3380u, 0x3F00u, 0x1E00u, 0x1F00u, 0x3F8Cu, 0x31DCu, 0x30F8u, 0x3878u, 0x1FFCu, 0x0FFCu, 0u, 0u, 0u, 0u, 0u},
/* ' */ {0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ( */ {0u, 0x0060u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0600u, 0x0600u, 0x0600u, 0x0600u, 0x0700u, 0x0380u, 0x01C0u, 0x00E0u, 0x0060u, 0u, 0u, 0u, 0u, 0u},
/* ) */ {0u, 0x0600u, 0x0700u, 0x0380u, 0x01C0u, 0x00E0u, 0x0060u, 0x0060u, 0x0060u, 0x0060u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0600u, 0u, 0u, 0u, 0u, 0u},
/* * */ {0u, 0x0180u, 0x318Cu, 0x399Cu, 0x1DB8u, 0x0FF0u, 0x07E0u, 0x03C0u, 0x03C0u, 0x07E0u, 0x0FF0u, 0x1DB8u, 0x399Cu, 0x318Cu, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* + */ {0u, 0u, 0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x1FF8u, 0x1FF8u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* , */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0380u, 0x0300u, 0u, 0u, 0u},
/* - */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0FF0u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* . */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* / */ {0u, 0u, 0x0018u, 0x0038u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x1C00u, 0x1800u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* 0 */ {0u, 0x03C0u, 0x07E0u, 0x0E70u, 0x1C38u, 0x381Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1C38u, 0x0E70u, 0x07E0u, 0x03C0u, 0u, 0u, 0u, 0u, 0u},
/* 1 */ {0u, 0x0180u, 0x0180u, 0x0F80u, 0x0F80u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0FF0u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* 2 */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x000Cu, 0x001Cu, 0x03F8u, 0x07F0u, 0x0E00, 0x1C00u, 0x3800u, 0x3000u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u},
/* 3 */ {0u, 0x3FFCu, 0x3FFCu, 0x001Cu, 0x0038u, 0x0070u, 0x00E0u, 0x01F8u, 0x01FCu, 0x000Cu, 0x000Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u},
/* 4 */ {0u, 0x0070u, 0x00F0u, 0x01F0u, 0x03B0u, 0x0730u, 0x0E30u, 0x1C30u, 0x3830u, 0x3FFCu, 0x3FFCu, 0x0030u, 0x0030u, 0x0030u, 0x0030u, 0u, 0u, 0u, 0u, 0u},
/* 5 */ {0u, 0x3FFCu, 0x3FFCu, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF8u, 0x001Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* 6 */ {0u, 0x01F0u, 0x07F0u, 0x0F00u, 0x1C00u, 0x3800u, 0x3000u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* 7 */ {0u, 0x3FFCu, 0x3FFCu, 0x000Cu, 0x001Cu, 0x0038u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0600u, 0x0600u, 0x0600u, 0x0600u, 0u, 0u, 0u, 0u, 0u},
/* 8 */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* 9 */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0x000Cu, 0x001Cu, 0x0038u, 0x00F0u, 0x0FE0u, 0x0F80u, 0u, 0u, 0u, 0u, 0u},
/* : */ {0u, 0u, 0u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* ; */ {0u, 0u, 0u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0380u, 0x0300u, 0u, 0u, 0u},
/* < */ {0u, 0x0060u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x1C00u, 0x1C00u, 0x0E00u, 0x0700u, 0x0380u, 0x01C0u, 0x00E0u, 0x0060u, 0u, 0u, 0u, 0u, 0u},
/* = */ {0u, 0u, 0u, 0u, 0u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* > */ {0u, 0x0600u, 0x0700u, 0x0380u, 0x01C0u, 0x00E0u, 0x0070u, 0x0038u, 0x0038u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0600u, 0u, 0u, 0u, 0u, 0u},
/* ? */ {0u, 0xFE0u, 0x1FF0u, 0x3838u, 0x3018u, 0x0038u, 0x0070u, 0x00E0, 0x01C0u, 0x0180u, 0x0180u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* @ */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x31FCu, 0x31FCu, 0x318Cu, 0x318Cu, 0x31FCu, 0x31FCu, 0x3000u, 0x3800u, 0x1FF0u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* A */ {0u, 0x0180u, 0x03C0u, 0x07E0u, 0x0E70u, 0x1C38u, 0x381Cu, 0x300Cu, 0x300Cu, 0x3FFCu, 0x3FFCu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* B */ {0u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u},
/* C */ {0u, 0xFF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x300Cu, 0x381Cu, 0x1FF8u, 0xFF0u, 0u, 0u, 0u, 0u, 0u },
/* D */ {0u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u },
/* E */ {0u, 0x3FFCu, 0x3FFCu, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u },
/* F */ {0u, 0x3FFCu, 0x3FFCu, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u, 0u, 0u, 0u, 0u },
/* G */ {0u, 0xFF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x303Cu, 0x303Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0u, 0u, 0u, 0u, 0u },
/* H */ {0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x3FFCu, 0x3FFCu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u },
/* I */ {0u, 0x0FF0u, 0x0FF0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0FF0u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* J */ {0u, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* K */ {0u, 0x1818u, 0x1838u, 0x1870u, 0x18E0u, 0x19C0u, 0x1B80u, 0x1F00u, 0x1F00u, 0x1B80u, 0x19C0u, 0x18E0u, 0x1870u, 0x1838u, 0x1818u, 0u, 0u, 0u, 0u, 0u},
/* L */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u},
/* M */ {0u, 0x300Cu, 0x300Cu, 0x381Cu, 0x3C3Cu, 0x3E7Cu, 0x37ECu, 0x33CCu, 0x318Cu, 0x318Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* N */ {0u, 0x300Cu, 0x300Cu, 0x380Cu, 0x3C0Cu, 0x3E0Cu, 0x370Cu, 0x338Cu, 0x31CCu, 0x30ECu, 0x307Cu, 0x303Cu, 0x301Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* O */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* P */ {0u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u, 0u, 0u, 0u, 0u},
/* Q */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x30CCu, 0x30ECu, 0x3078u, 0x3838u, 0x1FFCu, 0x0FCCu, 0u, 0u, 0u, 0u, 0u},
/* R */ {0u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF0u, 0x31C0u, 0x30E0u, 0x3070u, 0x3038u, 0x301Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* S */ {0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x3000u, 0x3800u, 0x1FF0u, 0x0FF8u, 0x001Cu, 0x000Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* T */ {0u, 0x3FFCu, 0x3FFCu, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* U */ {0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* V */ {0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1818u, 0x1C38u, 0x0C30u, 0x0E70u, 0x07E0u, 0x03C0u, 0x03C0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* W */ {0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x3FFCu, 0x1FF8u, 0x0E70u, 0u, 0u, 0u, 0u, 0u},
/* X */ {0u, 0x300Cu, 0x300Cu, 0x381Cu, 0x1C38u, 0x0E70u, 0x07E0u, 0x03C0u, 0x03C0u, 0x07E0u, 0x0E70u, 0x1C38u, 0x381Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* Y */ {0u, 0x300Cu, 0x300Cu, 0x381Cu, 0x1C38u, 0x0E70u, 0x07E0u, 0x03C0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* Z */ {0u, 0x3FFCu, 0x3FFCu, 0x001Cu, 0x0038u, 0x0070u, 0x00E0u, 0x01C0u, 0x0380u, 0x0700u, 0x0E00u, 0x1C00u, 0x3800u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u},
/* [ */ {0u, 0u, 0u, 0x0300u, 0x0700u, 0x0E00u, 0x1C00u, 0x3FFCu, 0x3FFCu, 0x1C00u, 0x0E00u, 0x0700u, 0x0300u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* \ */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x31F0u, 0x31F8u, 0x000Cu, 0x000Cu, 0x0018u, 0x0070u, 0x00C0u, 0x0180u, 0x01FCu, 0x01FCu, 0u},
/* ] */ {0u, 0u, 0u, 0x00C0u, 0x00E0u, 0x0070u, 0x0038u, 0x3FFCu, 0x3FFCu, 0x0038u, 0x0070u, 0x00E0u, 0x00C0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ^ */ {0u, 0u, 0u, 0x0180u, 0x03C0u, 0x07E0u, 0x0FF0u, 0x1DB8u, 0x1998u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* _ */ {0u, 0u, 0u, 0u, 0u, 0u, 0u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/* ` */ {0u, 0x3F0u, 0x7F8u, 0xE1Cu, 0x0C0Cu, 0x0C00u, 0x0C00u, 0x3F80u, 0x3F80u, 0x0C00u, 0x0C00u, 0x0C00u, 0x0C00u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u},
/* a */ {0u, 0u, 0u, 0u, 0u, 0x1FF0u, 0x1FF8u, 0x001Cu, 0x000Cu, 0x1FFCu, 0x3FFCu, 0x300Cu, 0x300Cu, 0x3FFCu, 0x1FFCu, 0u, 0u, 0u, 0u, 0u},
/* b */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u},
/* c */ {0u, 0u, 0u, 0u, 0u, 0x0FFCu, 0x1FFCu, 0x3800u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3800u, 0x1FFCu, 0x0FFCu, 0u, 0u, 0u, 0u, 0u},
/* d */ {0u, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0x0FFCu, 0x1FFCu, 0x380Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0u, 0u, 0u, 0u, 0u},
/* e */ {0u, 0u, 0u, 0u, 0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x3FFCu, 0x3FFCu, 0x3000u, 0x3800u, 0x1FF8u, 0x0FF8u, 0u, 0u, 0u, 0u, 0u},
/* f */ {0u, 0x30u, 0x00F0u, 0x01C0u, 0x0180u, 0x0180u, 0x0180u, 0x0FF0u, 0x0FF0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* g */ {0u, 0u, 0u, 0u, 0u, 0x0FFCu, 0x1FFCu, 0x380Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0x000Cu, 0x001Cu, 0x0FF8u, 0x0FF0u, 0u},
/* h */ {0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* i */ {0u, 0x0180u, 0x0180u, 0u, 0u, 0x0F80u, 0x0F80u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0FF0u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* j */ {0u, 0x0180u, 0x0180u, 0u, 0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0380u, 0x0F00u, 0x0C00u, 0u},
/* k */ {0u, 0x1800u, 0x1800u, 0x1800u, 0x1800u, 0x1818u, 0x1838u, 0x18F0u, 0x1BC0u, 0x1F80u, 0x1F80u, 0x19C0u, 0x18F0u, 0x1838u, 0x1818u, 0u, 0u, 0u, 0u, 0u},
/* l */ {0u, 0x0F80u, 0x0F80u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0FF0u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* m */ {0u, 0u, 0u, 0u, 0u, 0x3E30u, 0x3FF8u, 0x33FCu, 0x318Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0u, 0u, 0u, 0u, 0u},
/* n */ {0u, 0u, 0u, 0u, 0u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* o */ {0u, 0u, 0u, 0u, 0u, 0x0FF0u, 0x1FF8u, 0x381Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1FF8u, 0x0FF0u, 0u, 0u, 0u, 0u, 0u},
/* p */ {0u, 0u, 0u, 0u, 0u, 0x3FF0u, 0x3FF8u, 0x301Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x301Cu, 0x3FF8u, 0x3FF0u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u},
/* q */ {0u, 0u, 0u, 0u, 0u, 0x0FFCu, 0x1FFCu, 0x380Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0x000Cu, 0x000Cu, 0x000Cu, 0x000Cu, 0u},
/* r */ {0u, 0u, 0u, 0u, 0u, 0x31FCu, 0x33FCu, 0x3E00u, 0x3C00u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0x3000u, 0u, 0u, 0u, 0u, 0u},
/* s */ {0u, 0u, 0u, 0u, 0u, 0x0FFCu, 0x1FFCu, 0x3000u, 0x3000u, 0x1FF0u, 0x0FF8u, 0x000Cu, 0x000Cu, 0x3FF8u, 0x3FF0u, 0u, 0u, 0u, 0u, 0u},
/* t */ {0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0FF0u, 0x0FF0u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x0180u, 0x01C0u, 0x00F0u, 0x0030u, 0u, 0u, 0u, 0u, 0u},
/* u */ {0u, 0u, 0u, 0u, 0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0u, 0u, 0u, 0u, 0u},
/* v */ {0u, 0u, 0u, 0u, 0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x381Cu, 0x1818u, 0x1C38u, 0x0E70u, 0x07E0u, 0x03C0u, 0x0180u, 0u, 0u, 0u, 0u, 0u},
/* w */ {0u, 0u, 0u, 0u, 0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x318Cu, 0x318Cu, 0x318Cu, 0x3FFCu, 0x1FF8u, 0x0E70u, 0u, 0u, 0u, 0u, 0u},
/* x */ {0u, 0u, 0u, 0u, 0u, 0x300Cu, 0x381Cu, 0x1E78u, 0x0FF0u, 0x03C0u, 0x03C0u, 0x0FF0u, 0x1E78u, 0x381Cu, 0x300Cu, 0u, 0u, 0u, 0u, 0u},
/* y */ {0u, 0u, 0u, 0u, 0u, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x300Cu, 0x380Cu, 0x1FFCu, 0x0FFCu, 0x000Cu, 0x001Cu, 0x0FF8u, 0x0FF0u, 0u},
/* z */ {0u, 0u, 0u, 0u, 0u, 0x3FFCu, 0x3FFCu, 0x0038u, 0x00F0u, 0x01E0u, 0x0780u, 0x0F00u, 0x1C00u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u},
/* { */ {0u, 0x1800u, 0x1800u, 0x1800u, 0x1800u, 0x1800u, 0x1800u, 0x1800u, 0x1800u, 0x1818u, 0x1838u, 0x00F8u, 0x0198u, 0x0318u, 0x0318u, 0x03F8u, 0x03F8u, 0x0018u, 0x0018, 0u},
/* | */ {0u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0xC60u, 0u, 0u, 0u, 0u, 0u},
/* } */ {0u, 0x3E00u, 0x3F00u, 0x0180u, 0x0180u, 0x3F00u, 0x3F00u, 0x0180u, 0x0180u, 0x3F0Cu, 0x3E1Cu, 0x007Cu, 0x00CCu, 0x018Cu, 0x018Cu, 0x01FCu, 0x01FCu, 0x000Cu, 0x000Cu, 0u},
/* ~ */ {0u, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0x3FFCu, 0x3FFCu, 0u, 0u, 0x0180u, 0x0180u, 0u, 0u, 0u, 0u, 0u, 0u, 0u},
/*255 */  {0u, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0x3FFCu, 0u, 0u, 0u, 0u, 0u}
};

#endif
